| Haskell Core Libraries (Cabal package) | Contents | Index

Distribution.Package

Portability | portable
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>

Description
Packages.
Documentation
data PackageIdentifier

Constructors

PackageIdentifier |

pkgName :: String |
pkgVersion :: Version |

Instances

Eq PackageIdentifier
Ord PackageIdentifier
Read PackageIdentifier
Show PackageIdentifier

showPackageId :: PackageIdentifier -> String
parsePackageId :: ReadP r PackageIdentifier
parsePackageName :: ReadP r String
Produced by Haddock version 0.7